#!/bin/bash
# N/A

echo "Checking console version..."
loc=`/usr/bin/enc/ver | awk '{ print $4 }' | cut -f1 -d'-'`
version=`echo $loc | cut -c1`
release=`echo $loc | cut -c3`
build=`echo $loc | cut -f3 -d.`

if [[ "9" != 'X' ]] && [[ $version -ne "9" ]]; then
  echo "Console level $loc not valid for this patch."
  echo "Patch should only be applied on TSSC level 9.2.14"
  exit 1
elif [[ "2" != 'X' ]] && [[ $version -eq "9" ]] && [[ $release -ne "2" ]]; then
  echo "Console level $loc not valid for this patch."
  echo "Patch should only be applied on TSSC level 9.2.14"
  exit 1
elif [[ "14" != 'X' ]] && [[ $version -eq "9" ]] && [[ $release -eq "2" ]] && [[ $build -ne "14" ]]; then
  echo "Console level $loc not valid for this patch."
  echo "Patch should only be applied on TSSC level 9.2.14"
  exit 1
fi

echo "Applying patch."
echo "Please be patient as this process may take several minutes."

# execute preScript(preExec) if it exist
if [ -e /var/enc/pfe_exec/data/preScript ]; then
  chmod 755 /var/enc/pfe_exec/data/preScript
  . /var/enc/pfe_exec/data/preScript
  preExec
fi
# Back up current script
# Copy over fixed script
########################CM_Config.xml########################
cp -af '/var/enc/pfe_exec/data/CM_Config.xml' '/home/service/L9Media/CM_Config.xml'
if [[ $? != 0 ]]; then
  echo "Unable to apply patch! Contact your next level of support."
  mv -f '/home/service/L9Media/CM_Config.xml.old' '/home/service/L9Media/CM_Config.xml'
  exit 3
fi

########################HTER_Config.xml########################
cp -af '/var/enc/pfe_exec/data/HTER_Config.xml' '/home/service/L9Media/HTER_Config.xml'
if [[ $? != 0 ]]; then
  echo "Unable to apply patch! Contact your next level of support."
  mv -f '/home/service/L9Media/HTER_Config.xml.old' '/home/service/L9Media/HTER_Config.xml'
  exit 3
fi

########################L9_Cartridge_Information_Tool########################
cp -af '/var/enc/pfe_exec/data/L9_Cartridge_Information_Tool' '/home/service/L9Media/L9_Cartridge_Information_Tool'
if [[ $? != 0 ]]; then
  echo "Unable to apply patch! Contact your next level of support."
  mv -f '/home/service/L9Media/L9_Cartridge_Information_Tool.old' '/home/service/L9Media/L9_Cartridge_Information_Tool'
  exit 3
fi

########################TS4500CLI.jar########################
cp -af '/var/enc/pfe_exec/data/TS4500CLI.jar' '/home/service/L9Media/TS4500CLI.jar'
if [[ $? != 0 ]]; then
  echo "Unable to apply patch! Contact your next level of support."
  mv -f '/home/service/L9Media/TS4500CLI.jar.old' '/home/service/L9Media/TS4500CLI.jar'
  exit 3
fi

########################blob2ReportCV.jar########################
cp -af '/var/enc/pfe_exec/data/blob2ReportCV.jar' '/home/service/L9Media/blob2ReportCV.jar'
if [[ $? != 0 ]]; then
  echo "Unable to apply patch! Contact your next level of support."
  mv -f '/home/service/L9Media/blob2ReportCV.jar.old' '/home/service/L9Media/blob2ReportCV.jar'
  exit 3
fi

# execute postScript(postExec) if it exist
if [ -e /var/enc/pfe_exec/data/postScript ]; then
  chmod 755 /var/enc/pfe_exec/data/postScript
  . /var/enc/pfe_exec/data/postScript
  postExec
fi
echo
echo "Patch Applied."
echo "Please logout to complete the installation"
exit 0
